# Update Asset Configuration

Update the asset's configuration under the entire organization.

Endpoint: PUT /api/v1/assets
Version: 0.2.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `asset` (any, required)

  - `asset.type` (string, required)
    Aptos asset identifier type.

  - `asset.details` (any, required)

  - `asset.details.type` (string, required)
    Legacy coin asset identifier type.

  - `asset.details.coin_type` (object, required)
    Coin type represents a blockchain legacy coin type.

  - `asset.details.coin_type.chain` (string, required)
    Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"

  - `asset.details.coin_type.coin_type_str` (string, required)
    Coin type string representation.

  - `asset.details.type` (string, required)
    Aptos asset identifier type.

  - `asset.details.type` (string, required)
    New coin asset identifier type.

  - `asset.details.new_coin_type` (object, required)
    New coin type represents a blockchain new coin type.

  - `asset.details.new_coin_type.metadata_address` (string, required)
    New coin's metadata address.

  - `asset.type` (string, required)
    Arch asset identifier type.

  - `asset.type` (string, required)
    Canton asset identifier type.

  - `asset.type` (string, required)
    Cosmos asset identifier type.

  - `asset.type` (string, required)
    Asset identifier type.

  - `asset.exchange_type` (string, required)
    Enum: "binance", "bybit", "coinbase_international", "coinbase_us", "okx", "kraken", "paxos"

  - `asset.asset_symbol` (string, required)
    The symbol of the asset on the exchange.

  - `asset.type` (string, required)
    Ripple asset identifier type.

  - `asset.type` (string, required)
    Solana asset identifier type.

  - `asset.type` (string, required)
    Stacks asset identifier type.

  - `asset.type` (string, required)
    Starknet asset identifier type.

  - `asset.type` (string, required)
    Stellar asset identifier type.

  - `asset.type` (string, required)
    Sui asset identifier type.

  - `asset.type` (string, required)
    TON asset identifier type.

  - `asset.type` (string, required)
    TRON asset identifier type.

  - `asset.type` (string, required)
    Utxo asset identifier type.

  - `hidden` (boolean, required)
    `True` to hide the token when listing assets, `False` otherwise.

## Response 204:

  - `204` (unknown)
    Successful Response

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401:

  - `401` (unknown)
    Unauthorized User

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403:

  - `403` (unknown)
    Forbidden User

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408:

  - `408` (unknown)
    Request Timeout

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 429:

  - `429` (unknown)
    Rate Limit Exceeded

## Response 500:

  - `500` (unknown)
    Unexpected Error

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

